---
title: VisualViewport.onresize
slug: Web/API/VisualViewport/onresize
tags:
  - API
  - Event
  - Experimental
  - Reference
  - Visual Viewport API
  - VisualViewport
  - onresize
  - resize
  - viewport
---
<p>{{APIRef("Visual Viewport")}}{{ SeeCompatTable() }}</p>

<p>The <strong><code>onresize</code></strong> event handler of the {{domxref("VisualViewport")}} interface is called when a viewport is resized, i.e. when the <code><a href="/en-US/docs/Web/API/VisualViewport/resize_event">resize</a></code> event is fired.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">VisualViewport.onresize = function(e) { ... }</pre>

<h2 id="Examples">Examples</h2>

<pre>VisualViewport.onresize = function(e) {
  ...
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Visual Viewport','#dom-visualviewport-onresize','onresize')}}</td>
   <td>{{Spec2('Visual Viewport')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VisualViewport.onresize")}}</p>
